﻿Imports System
Imports Wisej.Web
Imports Wisej.Web.Ext.Barcode
Imports Wisej.Web.Ext.MobileIntegration
Public Class Page1
    Private Sub Page1_Load(sender As Object, e As EventArgs) Handles Me.Load
        Device.TabBar.Buttons = {
        New DeviceTabBar.Button With {
    .Text = "home",
    .IconSource = Wisej.Ext.MaterialDesign.Icons.HomeButton
}
        }
        Device.TabBar.Visible = True

        AddHandler Device.TabBar.Selected, AddressOf tabbar_selected
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Me.Label1.Text = "Button pressed"

        Dim pictures = Device.Camera.ScanDocument
        Me.PictureBox1.Image = pictures(0)
    End Sub
    Private Sub tabbar_selected(ByVal sender As Object, ByVal e As DeviceTabBar.SelectedEventArgs)
        AlertBox.Show($"Selected {e.Button.Text}")
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        AlertBox.Show("Scanning barcode")
        Dim reader = New BarcodeReader()
        ' attach the reader to the camera.
        reader.Camera = Me.Camera1

        ' continuously have the camera watching for barcodes.
        reader.ScanMode = ScanMode.Automatic

        ' handle successful scans.
        AddHandler reader.ScanSuccess, AddressOf Reader_ScanSuccess

        ' handle failed scans.
        AddHandler reader.ScanError, AddressOf Reader_ScanError
    End Sub

    Private Sub Reader_ScanError(ByVal sender As Object, ByVal e As ScanEventArgs)
        AlertBox.Show(e.Data)
    End Sub

    Private Sub Reader_ScanSuccess(ByVal sender As Object, ByVal e As ScanEventArgs)
        AlertBox.Show(e.Data)
    End Sub
End Class
